Subject: Re: bug#75632: 31.0.50; igc: Crash report

From: Ihor Radchenko <[email-masked]>
Date: Fri, 17 Jan 2025 14:46:35 +0000

Pip Cet <[email-masked]> writes:

> "Ihor Radchenko" <[email-masked]> writes:
>
>> Just got the following:
>
> Yes, that's the signal handling bug.  I'm not entirely sure why we
> removed the fix that was in scratch/igc, but we did, so we need another
> one.
> ...
> to handle_user_signal, which will silently ignore SIGUSR* received while
> MPS may have locked the arena.

I indeed sent SIGUSR2 just before I saw the crash.

For some context (maybe irrelevant), Emacs hung while performing magit
commit (C-c C-c in magit commit buffer; and the commit was actually
written before the hang). It only ever happened for me on igc branch.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>